Data
GET https://tistos.com/api/data/
curl --request GET \
--url 'https://tistos.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Besonderhede | Beskrywing |
|---|---|---|
| type | Opsioneel String | Watter veld soek jy op. Toegelate waardes is: email_collector, phone_collector, contact_collector, appointment_calendar. |
| datetime_field | Opsioneel String | Toegelate waardes: datetime |
| datetime_start | Opsioneel String | Filter resultate vanaf hierdie datum en tyd. Y-m-d H:i:s-formaat. |
| datetime_end | Opsioneel String | Filter resultate tot hierdie datum en tyd. Y-m-d H:i:s-formaat. |
| order_by | Opsioneel String | Watter veld om die resultate volgens te orden. Toegelate waardes is: datum_id, datetime. |
| order_type | Opsioneel String | Die ordening van die resultate. Toegestane waardes is: ASC vir opgaande ordening, en DESC vir afgaande ordening. |
| page | Opsioneel Heelgetal | Die bladsynommer waarvan jy resultate wil hê. Standaard op 1. |
| results_per_page | Opsioneel Heelgetal | Hoeveel resultate wil jy per bladsy hê. Toegestane waardes is: 10, 25, 50, 100, 250, 500, 1000. Standaard is 25. |
{
"data": [
{
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "[email protected]",
"name": "John doe"
},
"datetime": "2026-07-18 12:33:14",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/data?page=1",
"last": "https://tistos.com/api/data?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/data?page=1"
}
}
GET https://tistos.com/api/data/{datum_id}
curl --request GET \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "[email protected]",
"name": "John doe"
},
"datetime": "2026-07-18 12:33:14",
}
}
DELETE https://tistos.com/api/data/{datum_id}
curl --request DELETE \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \